Subject: Re: [PATCH 0/2] Bonding: fix IPv6 module requirement regression

From: Andrey Borzenkov <[email-masked]>
Date: Wed, 4 Mar 2009 07:20:30 +0300

On 4 марта 2009 05:37:10 Brian Haley wrote:
> These patches fix the Bonding module's requirement to have the IPv6
> module loaded and configured by creating a new "disable" module
> parameter value for ipv6.ko.  This allows users who do not want any
> IPv6 addresses or sockets to be created to disable IPv6 support,
> while still loading the module and making it's symbols available. 
> This can be specified in /etc/modprobe.conf (or similar) with
> "options ipv6 disable=1".
>

While this is definitely the right approach, it requires completely new 
infrastructure to disable IPv6 (including resolving update issues). So I 
guess this is post-2.6.29 material.